Users
Retrieve user settings
Retrieve user preferences without exposing stored credentials.
GET
/
v1
/
users
/
{userId}
/
settings
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const setting = await client.users.settings.retrieve('userId');use tembo_rs::*;
let client = Tembo::from_env()?;
let response = client.users().settings().retrieve("example").send().await?;
curl --request GET \
--url https://api.tembo.io/v1/users/{userId}/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tembo.io/v1/users/{userId}/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tembo.io/v1/users/{userId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/users/{userId}/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/users/{userId}/settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tembo.io/v1/users/{userId}/settings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/users/{userId}/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"autoRestartVm": true,
"defaultProjectId": "<string>",
"defaultSessionVisibilityByWorkspace": {},
"gpgKey": "<string>",
"includeTemboCommitAttribution": true,
"openPullRequestsAsBot": true,
"desktopNotificationsEnabled": true,
"desktopNotificationPreferences": {
"awaitingApproval": true,
"pullRequestOpened": true,
"pullRequestReviewRequested": true
},
"hasDesktopApp": true,
"openLinksInDesktopApp": true,
"appearancePreferences": {
"appTheme": "light",
"accentTheme": {
"themeId": "<string>",
"customSurface": "<string>",
"customAccent": "<string>",
"customIntensity": 123,
"systemLight": "<string>",
"systemDark": "<string>"
}
},
"appSidebarPreferences": {
"open": true,
"sessionOwnerScope": "mine",
"sessionSortBy": "createdAt",
"sessionOrganization": "list",
"showArchivedSessions": true,
"showActivity": true,
"width": 123,
"rightSidebar": {}
},
"diffPreferences": {
"style": "unified",
"indicators": "classic",
"overflow": "scroll",
"showLineNumbers": true,
"expandUnchanged": true,
"showFileTree": true,
"fileTreePosition": "left",
"fileTreeView": "list",
"lightTheme": "<string>",
"darkTheme": "<string>"
},
"dashboardPreferences": {
"taskFilters": {
"statusFilter": [
"<string>"
],
"sortBy": "createdAt",
"searchQuery": "<string>",
"integrationType": [
"<string>"
],
"externalId": "<string>",
"projectFilter": [
"<string>"
],
"authorFilter": [
"<string>"
],
"prStatusFilter": [
"<string>"
],
"automationFilter": [
"<string>"
]
}
},
"composerPreferences": {
"lastSelectedRepositories": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>"
}
]
},
"reviewPreferences": {
"fileSortMode": "tree",
"excludedFilePatterns": [
"<string>"
],
"sections": {},
"hideBotComments": true,
"layout": {
"focusChatHeight": 123,
"activeTab": "<string>",
"activeViewMode": "<string>",
"focusChatOpen": true,
"focusMode": true,
"leftDesktopSidebarOpen": true,
"leftDesktopSidebarWidth": 123,
"rightDesktopSidebarOpen": true,
"rightDesktopSidebarWidth": 123
}
},
"diffLightTheme": "<string>",
"diffDarkTheme": "<string>",
"defaultAgent": "<string>",
"defaultFastMode": true,
"followUpBehavior": "queue",
"customSystemPrompt": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Response
Retrieve user settings
Was this page helpful?
⌘I
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const setting = await client.users.settings.retrieve('userId');use tembo_rs::*;
let client = Tembo::from_env()?;
let response = client.users().settings().retrieve("example").send().await?;
curl --request GET \
--url https://api.tembo.io/v1/users/{userId}/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tembo.io/v1/users/{userId}/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tembo.io/v1/users/{userId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/users/{userId}/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/users/{userId}/settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tembo.io/v1/users/{userId}/settings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/users/{userId}/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"autoRestartVm": true,
"defaultProjectId": "<string>",
"defaultSessionVisibilityByWorkspace": {},
"gpgKey": "<string>",
"includeTemboCommitAttribution": true,
"openPullRequestsAsBot": true,
"desktopNotificationsEnabled": true,
"desktopNotificationPreferences": {
"awaitingApproval": true,
"pullRequestOpened": true,
"pullRequestReviewRequested": true
},
"hasDesktopApp": true,
"openLinksInDesktopApp": true,
"appearancePreferences": {
"appTheme": "light",
"accentTheme": {
"themeId": "<string>",
"customSurface": "<string>",
"customAccent": "<string>",
"customIntensity": 123,
"systemLight": "<string>",
"systemDark": "<string>"
}
},
"appSidebarPreferences": {
"open": true,
"sessionOwnerScope": "mine",
"sessionSortBy": "createdAt",
"sessionOrganization": "list",
"showArchivedSessions": true,
"showActivity": true,
"width": 123,
"rightSidebar": {}
},
"diffPreferences": {
"style": "unified",
"indicators": "classic",
"overflow": "scroll",
"showLineNumbers": true,
"expandUnchanged": true,
"showFileTree": true,
"fileTreePosition": "left",
"fileTreeView": "list",
"lightTheme": "<string>",
"darkTheme": "<string>"
},
"dashboardPreferences": {
"taskFilters": {
"statusFilter": [
"<string>"
],
"sortBy": "createdAt",
"searchQuery": "<string>",
"integrationType": [
"<string>"
],
"externalId": "<string>",
"projectFilter": [
"<string>"
],
"authorFilter": [
"<string>"
],
"prStatusFilter": [
"<string>"
],
"automationFilter": [
"<string>"
]
}
},
"composerPreferences": {
"lastSelectedRepositories": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>"
}
]
},
"reviewPreferences": {
"fileSortMode": "tree",
"excludedFilePatterns": [
"<string>"
],
"sections": {},
"hideBotComments": true,
"layout": {
"focusChatHeight": 123,
"activeTab": "<string>",
"activeViewMode": "<string>",
"focusChatOpen": true,
"focusMode": true,
"leftDesktopSidebarOpen": true,
"leftDesktopSidebarWidth": 123,
"rightDesktopSidebarOpen": true,
"rightDesktopSidebarWidth": 123
}
},
"diffLightTheme": "<string>",
"diffDarkTheme": "<string>",
"defaultAgent": "<string>",
"defaultFastMode": true,
"followUpBehavior": "queue",
"customSystemPrompt": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}